View Issue Details

IDProjectCategoryView StatusLast Update
0001770unrealircdpublic2005-02-27 17:37
Reporterlord2800Assigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2 
Target VersionFixed in Version3.2.3 
Summary0001770: Oper Override for channel modes not always displayed
DescriptionIn channels where an oper has no modes set on them, if that oper sets channel modes(I haven't gone through them all, but for certain +S, +h, and -h) on the channel, oper overrides are not shown, regardless of any settings.
Steps To ReproduceHave an oper attempt to set modes on channels without the proper access level(+S while not being +o, +c while not being +o, etc). Some show oper override, some do not.
TagsNo tags attached.
3rd party modules

Activities

w00t

2004-05-02 20:36

reporter   ~0005982

When you say +-h, do you mean halfopping a user?

lord2800

2004-05-02 23:35

reporter   ~0005993

Yes. Halfopping, opping, or other actions that would require at least op or above.

w00t

2004-05-04 19:05

reporter   ~0006074

How are you setting the modes? Through /mode #chan +o user or whatever, I presume...?

lord2800

2004-05-05 01:11

reporter   ~0006086

Yes. Standard mode setting results in no oper override display for some modes.

w00t

2004-05-16 22:26

reporter   ~0006284

Last edited: 2004-05-16 22:28

hm.

No idea. If I remember when I get home, ill try it. (_No_ opers on our server have operoverride)

edited on: 2004-05-16 22:28

w00t

2004-05-16 22:32

reporter   ~0006285

I just noticed this... http://bugs.unrealircd.org/bug_view_page.php?bug_id=0001763

and wondered if it could be related.
/me taps syzop or codemastr to have a lookie

w00t

2004-05-16 22:34

reporter   ~0006286

Reminder sent to syzop

If you could have a look at this, it would be much appreciated.

syzop

2004-05-16 22:44

administrator   ~0006287

Sorry w00t, I'm not really in the mood to take a look at this. I've fixed several operoverride bugs and they just KEEP comming EVERY release. For Unreal 3.3* I'm designing a system that will get rid of this problem [=of course not a solution for the next year or so.. just saying we do learn from out design mistakes ;p], but for now we will just have to keep fixing these bugs and I personally have had enough of them! [tired of fixing them] You probably have more luck with codemastr ;).

w00t

2004-05-16 23:33

reporter   ~0006290

Reminder sent to codemastr

Syzop declines to take a lookie, so I look to you!

lord2800

2004-05-17 03:53

reporter   ~0006292

That appears to be, at the very least, a similar bug. This one is with oper override notices *not* being displayed where they should be, however.

syzop

2005-02-27 17:37

administrator   ~0009339

This MIGHT be fixed in current CVS... I at least get an operoverride notice whenever I try to +S/+h/etc.. But if you got some time, feel free to check it out.

Issue History

Date Modified Username Field Change
2004-04-30 17:44 lord2800 New Issue
2004-05-02 20:36 w00t Note Added: 0005982
2004-05-02 23:35 lord2800 Note Added: 0005993
2004-05-04 19:05 w00t Note Added: 0006074
2004-05-05 01:11 lord2800 Note Added: 0006086
2004-05-16 22:26 w00t Note Added: 0006284
2004-05-16 22:28 w00t Note Edited: 0006284
2004-05-16 22:32 w00t Note Added: 0006285
2004-05-16 22:34 w00t Note Added: 0006286
2004-05-16 22:44 syzop Note Added: 0006287
2004-05-16 23:33 w00t Note Added: 0006290
2004-05-17 03:53 lord2800 Note Added: 0006292
2005-02-27 17:37 syzop Status new => resolved
2005-02-27 17:37 syzop Fixed in Version => 3.2.3
2005-02-27 17:37 syzop Resolution open => fixed
2005-02-27 17:37 syzop Assigned To => syzop
2005-02-27 17:37 syzop Note Added: 0009339